This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

CreateAccountFactoryAccount

1 - 1.2

post /v1/accounts

Description

create an account using account factory.

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

AccountFactoryCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedAccountFactoryCreateResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/accounts

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudcontrol 1.2"

Request body

{
    "email": "myaccount@example.com",
    "landing_zone_id": "2c8a138f8d78e1fc29a449dbfa8681",
    "name": "foo-account",
    "parent_unit_id": "ou-b30e9fcc39f84a20bf9e7458e5ec3801",
    "sso_user_email": "user_email@example.com",
    "sso_user_name": "John Doe",
    "sso_user_real_name": "John Doe"
}

Example HTTP response

Response 201

{
    "account_id": "b4d3f2h1j0l9n8p7r6t5v4x3z2y1w0",
    "job_id": "0a36e0746dbf4908acf0357829701381"
}

2 - 1.1

post /v1/accounts

Description

create an account using account factory.

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.120260630

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

AccountFactoryCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedAccountFactoryCreateResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/accounts

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudcontrol 1.1"

Request body

{
    "email": "myaccount@example.com",
    "landing_zone_id": "2c8a138f8d78e1fc29a449dbfa8681",
    "name": "foo-account",
    "parent_unit_id": "ou-b30e9fcc39f84a20bf9e7458e5ec3801",
    "sso_user_email": "user_email@example.com",
    "sso_user_name": "John Doe",
    "sso_user_real_name": "John Doe"
}

Example HTTP response

Response 201

{
    "account_id": "b4d3f2h1j0l9n8p7r6t5v4x3z2y1w0",
    "job_id": "0a36e0746dbf4908acf0357829701381"
}

3 - 1.0

post /v1/accounts

Description

create an account using account factory.

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

AccountFactoryCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedAccountFactoryCreateResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/accounts

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudcontrol 1.0"

Request body

{
    "email": "myaccount@example.com",
    "landing_zone_id": "2c8a138f8d78e1fc29a449dbfa8681",
    "name": "foo-account",
    "parent_unit_id": "ou-b30e9fcc39f84a20bf9e7458e5ec3801",
    "sso_user_email": "user_email@example.com",
    "sso_user_name": "John Doe",
    "sso_user_real_name": "John Doe"
}

Example HTTP response

Response 201

{
    "account_id": "b4d3f2h1j0l9n8p7r6t5v4x3z2y1w0",
    "job_id": "0a36e0746dbf4908acf0357829701381"
}